
.main-container {
    /* This makes the footer "stick" to the bottom on short pages, but allows it to move down on long pages. */
    min-height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.page-content {
    margin-top: 10px;
    margin-left: 5%;
    margin-right: 5%;
    flex: 1 0 auto;
}

/* Override the default heading size to make them smaller */
h1 {
    font-size: 1.5rem;
}
h2 {
    font-size: 1.25rem;
}
h3 {
    font-size: 1rem;
    font-weight: bold;
}

/* This ".banner" class refers to the dark blue header at the absolute top of the page */
.header {
    background-color: #001C3D;
    border-radius: 2px;
    overflow: hidden;
    padding-left: 5%;
    padding-right: 5%;
}
.header h1 {
    color: white;
    padding: 0.6rem 0.2rem;
    display: flex;
    justify-content: center;
}
.header p {
    color: white;
    display: flex;
    justify-content: right;
    margin-bottom: 0;
}
.header a {
    color: orange;
    display: flex;
    justify-content: right;
}
.header img {
    width: auto;
    height: 57px;
}

.footer {
    background-color: #666666;
    border-radius: 2px;
    overflow: hidden;
    min-height: 57px;
    width: 100%;
    margin-top: 10px;
    padding-left: 20px;
    padding-right: 20px;

    /* Flexbox for centering the content */
    display: flex;
    justify-content: center; /* Horizontal alignment */
    align-items: center;    /* Vertical alignment */
    position: relative;
}
.footer p,
.footer a {
    color: #ffffff;
}

blockquote {
    border-left: 4px lightgrey solid;
    padding-left: 1rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
    margin-left: 0rem;
}

.markdown-bordered {
    border: 1px solid lightgrey;
    border-radius: 5px;
    padding: 1rem;
}

/* Increase the vertical space before or after some elements */
.form-label:before{
    content: "";
    display: block;   /* Ensures the pseudo-element is a block-level element */
    margin-top: 12px; /* Vertical space in pixels */
}
.dash-table-container:after{
    content: "";
    display: block;
    margin-top: 12px;
}
.footnote-txt:before{
    content: "";
    display: block;   /* Ensures the pseudo-element is a block-level element */
    margin-top: 12px; /* Vertical space in pixels */
}

/* Show alert only when mobile device is in portrait mode */
.alert-mobile-landscape {
    display: none;
}
@media (max-width: 650px) {
    .alert-mobile-landscape {
        background-color: #d2460f;
        color: white;
        display: inline;
        padding: 10px;
        margin-bottom: 10px;
    }
}
.alert-mobile-landscape i {
    display: inline;
    margin-right: 5px;
}
.alert-mobile-landscape p {
    display: inline;
    margin-left: 5px;
}
